For the complete documentation index, see llms.txt. This page is also available as Markdown.

Claim free domain

Claim a free domain available on your account and register it.

Claim free domain

post

Claim a free domain available on your account and register it.

Unlike purchasing a domain, this consumes a free domain you already have, so no payment method is required.

A successful response means the domain is registered. If registration fails, login to hPanel and check domain registration status.

If no WHOIS information is provided, default contact information for that TLD will be used. Before making request, ensure WHOIS information for desired TLD exists in your account.

Some TLDs require additional_details to be provided and these will be validated before claiming.

Requests which cannot be fulfilled are rejected with an error code in the response body, for example 2037 when no free domain is available.

Use this endpoint to register a domain using a free domain from your account.

Authorizations
AuthorizationstringRequired

API Token authentication

Body
domainstringRequired

Domain name

Example: my-new-domain.tld
additional_detailsobjectOptional

Additional registration data, possible values depends on TLD

Responses
200

Success response

application/json
domainstring · nullableOptional

Domain name

Example: mydomain.tld
statusstring · enum · nullableOptional

Domain status

Example: activePossible values:
created_atstring · date-time · nullableOptionalExample: 2026-08-05T10:14:22Z
post/api/domains/v1/portfolio/claim
POST /api/domains/v1/portfolio/claim HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 147

{
  "domain": "my-new-domain.tld",
  "domain_contacts": {
    "owner_id": 741288,
    "admin_id": 546123,
    "billing_id": 741288,
    "tech_id": 741288
  },
  "additional_details": {}
}
{
  "domain": "mydomain.tld",
  "status": "active",
  "created_at": "2026-08-05T10:14:22Z"
}

Last updated

Was this helpful?